﻿using System;
using System.Windows.Forms;
using C1.Win.C1FlexGrid;
using System.Drawing;

namespace prj_SortChineseChars
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            System.Threading.Thread.CurrentThread.CurrentUICulture = new System.Globalization.CultureInfo("zh-cn");
            InitializeComponent();
            this.Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            c1FlexGrid1.Dock = DockStyle.Fill;

            var arr = "你好|文本|眼|世界|胜利".Split('|');
            c1FlexGrid1.Rows.Count = 150;
            c1FlexGrid1.Cols.Count = 3;


            for (int i = 1; i < c1FlexGrid1.Rows.Count; i++)
            {
                c1FlexGrid1[i, 1] = i;
                c1FlexGrid1[i, 2] = arr[i % arr.Length];

            }
           
            //Sorts the values in the column containing Chinese characters in descending order.
            c1FlexGrid1.Sort(SortFlags.Descending, 2);
        }
    }
}
